org.apache.hadoop.hdfs.server.namenode

## Interface FsImageProto.SnapshotSectionOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    FsImageProto.SnapshotSection, FsImageProto.SnapshotSection.Builder
  Enclosing class:
    FsImageProto

      public static interface FsImageProto.SnapshotSectionOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumSnapshots()` `optional uint32 numSnapshots = 3;`
    `int` | `getSnapshotCounter()` `optional uint32 snapshotCounter = 1;`
    `long` | `getSnapshottableDir(int index)` `repeated uint64 snapshottableDir = 2 [packed = true];`
    `int` | `getSnapshottableDirCount()` `repeated uint64 snapshottableDir = 2 [packed = true];`
    `List<Long>` | `getSnapshottableDirList()` `repeated uint64 snapshottableDir = 2 [packed = true];`
    `boolean` | `hasNumSnapshots()` `optional uint32 numSnapshots = 3;`
    `boolean` | `hasSnapshotCounter()` `optional uint32 snapshotCounter = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasSnapshotCounter

          boolean hasSnapshotCounter()

      `optional uint32 snapshotCounter = 1;`

    - #### getSnapshotCounter

          int getSnapshotCounter()

      `optional uint32 snapshotCounter = 1;`

    - #### getSnapshottableDirList

          List<Long> getSnapshottableDirList()

      `repeated uint64 snapshottableDir = 2 [packed = true];`

    - #### getSnapshottableDirCount

          int getSnapshottableDirCount()

      `repeated uint64 snapshottableDir = 2 [packed = true];`

    - #### getSnapshottableDir

          long getSnapshottableDir(int index)

      `repeated uint64 snapshottableDir = 2 [packed = true];`

    - #### hasNumSnapshots

          boolean hasNumSnapshots()

      `optional uint32 numSnapshots = 3;`

           total number of snapshots

    - #### getNumSnapshots

          int getNumSnapshots()

      `optional uint32 numSnapshots = 3;`

           total number of snapshots

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.